## hb-graphite2

hb-graphite2 — Graphite2 integration

## Functions

gr_face * | hb_graphite2_face_get_gr_face ()

## Types and Values

#define | HB_GRAPHITE2_TAG_SILF

## Includes

    #include <hb-graphite2.h>

## Description

Functions for using HarfBuzz with fonts that include Graphite features.

For Graphite features to work, you must be sure that HarfBuzz was compiled with the `graphite2` shaping engine enabled. Currently, the default is to not enable `graphite2` shaping.

## Functions

### hb_graphite2_face_get_gr_face ()

    gr_face *
    hb_graphite2_face_get_gr_face (hb_face_t *face);

Fetches the Graphite2 gr_face corresponding to the specified hb_face_t face object.

[skip]

#### Parameters

face | `hb_face_t` to query |

#### Returns

the gr_face found

Since: 0.9.10

## Types and Values

### HB_GRAPHITE2_TAG_SILF

    #define HB_GRAPHITE2_TAG_SILF HB_TAG('S','i','l','f')

The hb_tag_t tag for the `Silf` table, which holds Graphite features.

For more information, see http://graphite.sil.org/